Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QXtApplication Class Reference

The QXtApplication class facilitates the mixing of Xt/Motif and Qt widgets.

This class is part of the Qt Xt/Motif Extension. More...

`#include <qxt.h>`

Inherits QApplication.

List of all member functions.

## Public Members

- QXtApplication ( int & argc, char ** argv, const char * appclass = 0, XrmOptionDescRec * options = 0, int num_options = 0, const char ** resources = 0 )
- QXtApplication ( Display * display, HANDLE visual = 0, HANDLE colormap = 0 )
- QXtApplication ( Display * display, int argc, char ** argv, HANDLE visual = 0, HANDLE colormap = 0 )
- ~QXtApplication ()

## Detailed Description

This class is defined in the Qt Xt/Motif Extension, which can be found in the `qt/extensions` directory. It is not included in the main Qt API.

The QXtApplication class facilitates the mixing of Xt/Motif and Qt widgets.

The QXtApplication and QXtWidget classes allow old Xt or Motif widgets to be used in new Qt applications. They also allow Qt widgets to be used in primarily Xt/Motif applications. The facility is intended to aid migration from Xt/Motif to the more comfortable Qt system.

## Member Function Documentation

### QXtApplication::QXtApplication ( int & argc, char ** argv, const char * appclass = 0, XrmOptionDescRec * options = 0, int num_options = 0, const char ** resources = 0 )

Constructs a QApplication and initializes the Xt toolkit. The appclass, options, num_options, and resources arguments are passed on to XtAppSetFallbackResources and XtDisplayInitialize.

Use this constructor when writing a new Qt application which needs to use some existing Xt/Motif widgets.

The argc and argv arguments are passed to the QApplication constructor.

### QXtApplication::QXtApplication ( Display * display, HANDLE visual = 0, HANDLE colormap = 0 )

Constructs a QApplication from the display of an already-initialized Xt application. If visual and colormap are non-zero, the application will use those as the default Visual and Colormap contexts.

Use this constructor when introducing Qt widgets into an existing Xt/Motif application.

### QXtApplication::QXtApplication ( Display * display, int argc, char ** argv, HANDLE visual = 0, HANDLE colormap = 0 )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Constructs a QApplication from the display of an already-initialized Xt application. If visual and colormap are non-zero, the application will use those as the default Visual and Colormap contexts.

Use this constructor when introducing Qt widgets into an existing Xt/Motif application.

The argc and argv arguments are passed to the QApplication constructor.

### QXtApplication::~QXtApplication ()

Destructs the application. Does not close the Xt toolkit.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.